Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.unibi.techfak.InSilicoDicer.GUI
Class SimilarListModel

    java.lang.Object
      de.unibi.techfak.InSilicoDicer.GUI.SimilarListModel

All Implemented Interfaces:
  javax.swing.ListModel

    public class SimilarListModel

extends java.lang.Object
implements javax.swing.ListModel

Implementation of Interface ListModel for using as Similar JList component.

Author:
  Jan Krueger

Constructor Summary
`SimilarListModel()`

Method Summary
`void` | `addListDataListener(javax.swing.event.ListDataListener l)`
`java.lang.Object` | `getElementAt(int index)`
`java.util.List` | `getPreCursorContainer()` Return PreCursorContainer of this SimilarListModel
`int` | `getSize()`
`void` | `removeListDataListener(javax.swing.event.ListDataListener l)`
`void` | `setPrecCursorContainer(PrecursorContainer data)` Set a new PreCursorContainer for this SimilarListModel

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimilarListModel

    public SimilarListModel()

Method Detail

### setPrecCursorContainer

    public void setPrecCursorContainer(PrecursorContainer data)

  Set a new PreCursorContainer for this SimilarListModel

  Parameters:
    `data` - - PreCursorContainer of current model

### getPreCursorContainer

    public java.util.List getPreCursorContainer()

  Return PreCursorContainer of this SimilarListModel

  Returns:

### getSize

    public int getSize()

  Specified by:
    `getSize` in interface `javax.swing.ListModel`

### getElementAt

    public java.lang.Object getElementAt(int index)

  Specified by:
    `getElementAt` in interface `javax.swing.ListModel`

### addListDataListener

    public void addListDataListener(javax.swing.event.ListDataListener l)

  Specified by:
    `addListDataListener` in interface `javax.swing.ListModel`

### removeListDataListener

    public void removeListDataListener(javax.swing.event.ListDataListener l)

  Specified by:
    `removeListDataListener` in interface `javax.swing.ListModel`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD